Bug 841648 - Package Rename Review Request: rubygem-qpid_messaging - Ruby bindings for the Qpid messaging framework
Package Rename Review Request: rubygem-qpid_messaging - Ruby bindings for the...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 13:56 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 16:15:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mspaulding06: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2012-07-19 13:56:21 EDT
Spec URL: http://mcpierce.fedorapeople.org/rpms/rubygem-qpid-messaging.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_messaging-0.16.0-1.fc17.src.rpm
Description: Qpid is an enterprise messaging framework. This package provides Ruby language bindings based on that framework.
Fedora Account System Username: mcpierce
Comment 1 Michael Scherer 2012-07-27 12:31:50 EDT
It fail to build on f17 mock with the following error :

Building native extensions.  This could take a while...
/usr/bin/ruby extconf.rb
ERROR:  Error installing /builddir/build/SOURCES/qpid_messaging-0.16.0.gem:
    ERROR: Failed to build gem native extension.
        /usr/bin/ruby extconf.rb
mkmf.rb can't find header files for ruby at /usr/share/include/ruby.h
Gem files will remain installed in /builddir/build/BUILD/qpid_messaging-0.16.0/usr/share/gems/gems/qpid_messaging-0.16.0 for inspection.
Results logged to /builddir/build/BUILD/qpid_messaging-0.16.0/usr/share/gems/gems/qpid_messaging-0.16.0/ext/cqpid/gem_make.out
mkmf.rb can't find header files for ruby at /usr/share/include/ruby.h

Seems ruby-devel is needed ( I would have expected it to be pulled by rubygem-devel to be honest )
Comment 2 Darryl L. Pierce 2012-08-01 16:45:03 EDT
(In reply to comment #1)
<snip> 
> Seems ruby-devel is needed ( I would have expected it to be pulled by
> rubygem-devel to be honest )

Me too. I've added in the BR for ruby-devel and have done a successful scratch build.

Updated SPEC: http://mcpierce.fedorapeople.org/rpms/rubygem-qpid-messaging.spec
Updated SRPM: http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_messaging-0.16.0-1.1.fc17.src.rpm

Also, could you please change the status of the BZ to "ASSIGNED" since you're reviewing it? Thanks. :)
Comment 3 Michael Scherer 2012-08-01 17:17:23 EDT
I am not sure i will have time to start the review now, so I prefer to let it unassigned and open to others for the moment
Comment 4 Matt Spaulding 2012-08-10 21:35:26 EDT
Hi Darryl, I'd like to review your package. If possible, could you reciprocate by reviewing this for me?

https://bugzilla.redhat.com/show_bug.cgi?id=838239
Comment 5 Matt Spaulding 2012-08-11 01:52:02 EDT
RPMLint Output:

rubygem-qpid_messaging.src: W: spelling-error %description -l en_US Qpid -> Quid, Lipidrubygem-qpid_messaging.src: E: invalid-spec-name
rubygem-qpid_messaging.src:55: W: macro-in-comment %{SOURCE0}
rubygem-qpid_messaging.src:56: W: macro-in-comment %{gem_name}
rubygem-qpid_messaging.src:56: W: macro-in-comment %{version}
rubygem-qpid_messaging.src:57: W: macro-in-comment %{SOURCE0}
rubygem-qpid_messaging.src:57: W: macro-in-comment %{gem_name}
rubygem-qpid_messaging.src:59: W: macro-in-comment %patch1
rubygem-qpid_messaging.src:61: W: macro-in-comment %{gem_name}
rubygem-qpid_messaging.src:73: W: macro-in-comment %{gem_name}
rubygem-qpid_messaging.src:73: W: macro-in-comment %{version}
rubygem-qpid_messaging.src:73: W: macro-in-comment %{gem_name}
rubygem-qpid_messaging.src:73: W: macro-in-comment %{version}
rubygem-qpid_messaging.x86_64: W: spelling-error %description -l en_US Qpid -> Quid, Lipid
rubygem-qpid_messaging.x86_64: W: no-soname /usr/lib64/gems/exts/qpid_messaging-0.16.0/lib/cqpid.so
rubygem-qpid_messaging-debuginfo.x86_64: W: spelling-error Summary(en_US) qpid -> quid, lipid
rubygem-qpid_messaging-debuginfo.x86_64: W: spelling-error %description -l en_US qpid -> quid, lipid
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/subject%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Address/name%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/correlation_id%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Connection/open%3f-i.ri %3f
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Address/subject%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Session/errors%3f-i.ri %3f
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/%5b%5d%3d-i.ri %5b
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/%5b%5d%3d-i.ri %5d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/%5b%5d%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/ttl%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/%5b%5d-i.ri %5b
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/%5b%5d-i.ri %5d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/message_id%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/user_id%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Receiver/closed%3f-i.ri %3f
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Sender/capacity%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/durable%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/content_type%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/reply_to%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Receiver/capacity%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Address/options%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Address/address_type%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/redelivered%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/priority%3d-i.ri %3d
rubygem-qpid_messaging-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/qpid_messaging-0.16.0/ri/Qpid/Messaging/Message/content%3d-i.ri %3d
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:55: W: macro-in-comment %{SOURCE0}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:56: W: macro-in-comment %{gem_name}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:56: W: macro-in-comment %{version}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:57: W: macro-in-comment %{SOURCE0}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:57: W: macro-in-comment %{gem_name}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:59: W: macro-in-comment %patch1
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:61: W: macro-in-comment %{gem_name}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:73: W: macro-in-comment %{gem_name}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:73: W: macro-in-comment %{version}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:73: W: macro-in-comment %{gem_name}
/home/mspaulding/sandbox/fed/review/rubygem-qpid-messaging.spec:73: W: macro-in-comment %{version}
4 packages and 1 specfiles checked; 1 errors, 52 warnings.


Package Review
==============

Key:

- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====

[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc. [1]
[x]: MUST License field in the package spec file matches the actual license. [2]
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL. [1]
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL. [1]
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass. [3]
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.



Issues:

1. RPMLint warnings all look okay. If you want to reduce warnings you can take out the commented code, though not required.

2. "gem install" portion of the spec file should probably be under the %build section instead of the %prep section. This is shown on the ruby guidelines page: http://fedoraproject.org/wiki/Packaging:Ruby#.25build

3. Unable to build on Rawhide/F18 due to a missing dependency. It looks like the qpid-cpp-client-devel package you require needs boost 1.48, but Rawhide now has 1.50. Whoever maintains qpid-cpp-client will need to fix that before your package will build.


Please address issue #2 and I'll take another look at your package.
Comment 6 Darryl L. Pierce 2012-08-13 08:06:40 EDT
(In reply to comment #4)
> Hi Darryl, I'd like to review your package. If possible, could you
> reciprocate by reviewing this for me?
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=838239

Gladly. I've taken that review and will provide feedback shortly. Thank you. :)
Comment 7 Darryl L. Pierce 2012-08-13 08:11:57 EDT
(In reply to comment #5)
<snip>
> Issues:
> 
> 1. RPMLint warnings all look okay. If you want to reduce warnings you can
> take out the commented code, though not required.
> 
> 2. "gem install" portion of the spec file should probably be under the
> %build section instead of the %prep section. This is shown on the ruby
> guidelines page: http://fedoraproject.org/wiki/Packaging:Ruby#.25build
> 
> 3. Unable to build on Rawhide/F18 due to a missing dependency. It looks like
> the qpid-cpp-client-devel package you require needs boost 1.48, but Rawhide
> now has 1.50. Whoever maintains qpid-cpp-client will need to fix that before
> your package will build.

I'm the package maintainer there as well. I'm holding off on doing an update of 0.16 in Rawhide since we're preparing for the 0.18 release in the near future. But I suppose I could go ahead and fix the 0.16 build sooner instead.

> Please address issue #2 and I'll take another look at your package.

I've moved the gem install portion to the %build section per review.

Updated SPEC: http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_messaging.spec
Updated SRPM: http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_messaging-0.16.0-1.2.fc17.src.rpm
Comment 8 Matt Spaulding 2012-08-13 14:26:04 EDT
Ok, looks good to me.

APPROVED
Comment 9 Darryl L. Pierce 2012-08-13 14:34:32 EDT
(In reply to comment #8)
> Ok, looks good to me.
> 
> APPROVED

Thank you, Matt!

New Package SCM Request
=======================
Package Name: rubygem-qpid_messaging
Short Description: Ruby bindings for the Qpid messaging framework
Owners: mcpierce
Branches: f16 f17 f18
InitialCC: mcpierce
Comment 10 Gwyn Ciesla 2012-08-13 14:55:17 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-08-13 16:12:30 EDT
rubygem-qpid_messaging-0.16.0-1.2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-qpid_messaging-0.16.0-1.2.fc17
Comment 12 Fedora Update System 2012-08-22 17:07:33 EDT
rubygem-qpid_messaging-0.16.0-1.2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Darryl L. Pierce 2014-02-21 10:11:38 EST
Package Change Request
======================
Package Name: rubygem-qpid_messaging
New Branches: epel7
Owners: mcpierce
Comment 14 Gwyn Ciesla 2014-02-21 10:18:41 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.